Summary:   Command-line program to read and set MPEG-4 tags compatible with iPod/iTunes 
Name:      AtomicParsley
Version:   0.9.5
Release:   1%{?dist}
License:   GPLv2+
URL:       http://atomicparsley.sourceforge.net/
Source0:   https://bitbucket.org/wez/atomicparsley/overview/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++ gcc
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: perl-generators

BuildRequires: zlib-devel
BuildRequires: make

%description
AtomicParsley is a command line program for reading, parsing and setting
tags and meta-data into MPEG-4 files supporting these styles of meta-data:

* iTunes-style meta-data into .mp4, .m4a, .m4p, .m4v, .m4b files
* 3gp-style assets (3GPP TS 26.444 version 6.4.0 Release 6 specification
  conforming) in 3GPP, 3GPP2, MobileMP4 & derivatives
* ISO copyright notices at movie & track level for MPEG-4 & derivative files
* uuid private user extension text & file embedding for MPEG-4 & derivative
  files

%prep
%setup -q

%build
./autogen.sh
%configure
%make_build

%install
%make_install BINDIR=%{_bindir}

%files
%license COPYING
%doc Changes.txt tools/iTunMOVI-1.1.pl
%{_bindir}/AtomicParsley

%changelog
* Fri Sep 13 2024 jiang ling yu <1353859743@qq.com> - 0.9.5-1
- other
- initial build

